MQ_UNLINK(3)

NAME
mq_unlink - remove a message queue

SYNOPSIS
#include <mqueue.h>

mqd_t mq_unlink(const char *name);

DESCRIPTION
mq_unlink() removes the specified message queue name. The message queue name is removed immediately. The queue itself is destroyed once any other processes that have the queue open close their descriptors referring to the queue.

RETURN VALUE
On success mq_unlink() returns 0; on error, -1 is returned, with errno set to indicate the error.

ERRORS

EACCES
    The caller does not have permission to unlink this message queue.

ENAMETOOLONG
    name was too long.

ENOENT
    There is no message queue with the given name.

CONFORMING TO
POSIX.1-2001.

SEE ALSO
mq_close(3), mq_getattr(3), mq_notify(3), mq_open(3), mq_receive(3), mq_send(3), mq_overview(7)